Bug 1124797 - kie-config-cli.bat uses incorrect version of kie-config-cli jar
Summary: kie-config-cli.bat uses incorrect version of kie-config-cli jar
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Build and Assembly
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ER1
: 6.1.0
Assignee: Julian Coleman
QA Contact: Lukáš Petrovický
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 11:02 UTC by Abhijit humbe
Modified: 2016-04-28 05:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Abhijit humbe 2014-07-30 11:02:57 UTC
Description of problem:
jboss-bpms-brms-6.0.2.GA-redhat-5-supplementary-tools.zip includes kie-config-cli.bat for Windows, but it uses incorrect version of kie-config-cli jar.Correct jar version is used in kie-config-cli.sh file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 
2.
3.

Actual results:
C:\jboss-bpms-brms-6.0.2.GA-redhat-5-supplementary-tools\kie-config-cli-6.0.3-redhat-4-dist>kie-config-cli.bat
Error: Could not find or load main class org.kie.config.cli.CmdMain

Expected results:
It should be connected to terminal.

Additional info:
Change jar veriosn form below line in kie-config-cli.bat file:

From:
set MAIN_JAR=kie-config-cli-6.0.1.Final.jar
To:
set MAIN_JAR=kie-config-cli-6.0.3-redhat-4.jar

Comment 2 Ryan Zhang 2014-11-05 10:11:34 UTC
Confirmed that this issue doesn't present in 6.1.0. 
Please verify it on 6.1.0 again.

Comment 3 jvahala 2014-11-25 11:06:57 UTC
Verified on 6.1.0 ER1 with "MAIN_JAR=kie-config-cli-6.2.0.CR1-redhat-1.jar", it suits the file in same dir. https://bugzilla.redhat.com/show_bug.cgi?id=1124797#


Note You need to log in before you can comment on or make changes to this bug.